Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_RTCP_Object Class Reference

TAO_AV_Protocol_Object for RTCP protocol. More...

`#include <RTCP.h>`

Inheritance diagram for TAO_AV_RTCP_Object:

[legend]
Collaboration diagram for TAO_AV_RTCP_Object:

[legend]
List of all members.

## Public Methods
| TAO_AV_RTCP_Object (TAO_AV_Callback *client_cb, TAO_AV_RTCP_Callback *&rtcp_cb, TAO_AV_Transport *transport=0)
| constructor. More...
virtual | ~TAO_AV_RTCP_Object (void)
| Destructor. More...
virtual int | handle_input (void)
virtual int | handle_control_input (ACE_Message_Block *frame, const ACE_Addr &peer_address)
| Called on a control object. More...
virtual int | handle_control_output (ACE_Message_Block *frame)
virtual int | set_policies (const TAO_AV_PolicyList &policy_list)
| set/get policies. More...
virtual int | start (void)
| start/stop the flow. More...
virtual int | stop (void)
virtual int | send_frame (ACE_Message_Block *frame, TAO_AV_frame_info *frame_info=0)
| send a data frame. More...
virtual int | send_frame (const iovec *iov, int iovcnt, TAO_AV_frame_info *frame_info=0)
| send a frame in iovecs. More...
virtual int | send_frame (const char *buf, size_t len)
virtual int | destroy (void)
| end the stream. More...
void | ssrc (ACE_UINT32 ssrc)
ACE_UINT32 | ssrc (void)
void | ts_offset (ACE_UINT32 ts_offset)
## Private Attributes
TAO_AV_Callback * | client_cb_
TAO_AV_RTCP_Callback | rtcp_cb_
ACE_UINT32 | ssrc_

## Detailed Description

TAO_AV_Protocol_Object for RTCP protocol.

## Constructor & Destructor Documentation

TAO_AV_RTCP_Object::TAO_AV_RTCP_Object | ( | TAO_AV_Callback * | client_cb,
|  | TAO_AV_RTCP_Callback *& | rtcp_cb,
|  | TAO_AV_Transport * | transport = 0
| ) |

| constructor.

TAO_AV_RTCP_Object::~TAO_AV_RTCP_Object | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int TAO_AV_RTCP_Object::destroy | ( | void |  | ) | `[virtual]`

| end the stream. Reimplemented from TAO_AV_Protocol_Object.

int TAO_AV_RTCP_Object::handle_control_input | ( | ACE_Message_Block * | frame,
|  | const ACE_Addr & | peer_address
| ) | `[virtual]`

| Called on a control object. Reimplemented from TAO_AV_Protocol_Object.

int TAO_AV_RTCP_Object::handle_control_output | ( | ACE_Message_Block * | frame | ) | `[virtual]`

int TAO_AV_RTCP_Object::handle_input | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_AV_Protocol_Object.

int TAO_AV_RTCP_Object::send_frame | ( | const char * | buf,
|  | size_t | len
| ) | `[virtual]`

| Reimplemented from TAO_AV_Protocol_Object.

int TAO_AV_RTCP_Object::send_frame | ( | const iovec * | iov,
|  | int | iovcnt,
|  | TAO_AV_frame_info * | frame_info = 0
| ) | `[virtual]`

| send a frame in iovecs. Reimplemented from TAO_AV_Protocol_Object.

int TAO_AV_RTCP_Object::send_frame | ( | ACE_Message_Block * | frame,
|  | TAO_AV_frame_info * | frame_info = 0
| ) | `[virtual]`

| send a data frame. Reimplemented from TAO_AV_Protocol_Object.

int TAO_AV_RTCP_Object::set_policies | ( | const TAO_AV_PolicyList & | policy_list | ) | `[virtual]`

| set/get policies. Reimplemented from TAO_AV_Protocol_Object.

ACE_UINT32 TAO_AV_RTCP_Object::ssrc | ( | void |  | ) | `[inline]`

void TAO_AV_RTCP_Object::ssrc | ( | ACE_UINT32 | ssrc | ) | `[inline]`

int TAO_AV_RTCP_Object::start | ( | void |  | ) | `[virtual]`

| start/stop the flow. Reimplemented from TAO_AV_Protocol_Object.

int TAO_AV_RTCP_Object::stop | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_AV_Protocol_Object.

void TAO_AV_RTCP_Object::ts_offset | ( | ACE_UINT32 | ts_offset | ) |

## Member Data Documentation

TAO_AV_Callback* TAO_AV_RTCP_Object::client_cb_`[private]`

TAO_AV_RTCP_Callback TAO_AV_RTCP_Object::rtcp_cb_`[private]`

ACE_UINT32 TAO_AV_RTCP_Object::ssrc_`[private]`

The documentation for this class was generated from the following files:

- RTCP.h
- RTCP.cpp